%define name	dc_gui2
%define version	0.80
%define rel	3

%define release %mkrel %rel
%define distsuffix plf

Summary:	A GTK2 GUI for DCTC
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	GPL
URL:		http://brainz.servebeer.com/dctc/
Group:		Networking/File transfer
Source0:	http://brainz.servebeer.com/dctc/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Requires:	dctc
Requires:	bittorrent
BuildRequires:	bittorrent
BuildRequires:	curl-devel
BuildRequires:	db4-devel
BuildRequires:	dctc
BuildRequires:	gnomeui2-devel
BuildRequires:	python-devel
Obsoletes:	dc_gui-gtk2
Provides:	dc_gui-gtk2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
A GTK2 GUI for DCTC.

This package is in PLF because it is against Mandriva policy to
include such software.

%prep
%setup -q

%build
%configure

%install
%__rm -rf %{buildroot}
%makeinstall_std

%__mkdir_p %{buildroot}/{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
%__install -m 644 %{SOURCE1} %{buildroot}/%_miconsdir/%name.png
%__install -m 644 %{SOURCE2} %{buildroot}/%_iconsdir/%name.png
%__install -m 644 %{SOURCE3} %{buildroot}/%_liconsdir/%name.png
%__mkdir_p %{buildroot}/%{_menudir}
%__cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%name):command="%{_bindir}/%{name}" icon="%{name}.png" \
                needs="X11" section="Internet/File Transfer" \
 title="Direct Connect gtk" longtitle="File sharing GUI"
EOF

%__rm -f %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %name --all-name

%clean
%__rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(0644,root,root,0755)
%doc ChangeLog TODO
%attr(0755,root,root) %{_bindir}/*
%_menudir/%name
%{_datadir}/gnome/help/dc_gui
%{_datadir}/pixmaps/dc_gui2*
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Wed Oct 26 2005 Anssi Hannula <anssi@zarb.org> 0:0.80-3plf
- fix BuildRequires gnomeui2-devel so that builds on x86_64
- mkrel

* Sun Apr 17 2005 David Walluck <david@zarb.org> 0:0.80-2plf
- rebuild to fix libpython2.3.so.* dependency

* Sat Oct 23 2004 David Walluck <david@zarb.org> 0.80-1plf
- 0.80

* Fri Sep 05 2003 David Walluck <david@anti-microsoft.org> 0.76-2plf
- reflect name change from dc_gui-gtk2 to %{name}
- remove .desktop file

* Fri Sep 05 2003 David Walluck <david@anti-microsoft.org> 0.76-1plf
- 0.76

* Mon Jul 14 2003 Bellegarde Cedric <gnumdk@wanadoo.fr> 0.75-1plf
- Make a spec file
